#!/usr/bin/env bash

# Load the Python module
module load python/3.6.1

# Create a virtual environment
python -m venv venv_dl_hpc4ns

# Activate the virtual environment
source venv_dl_hpc4ns/bin/activate

# Upgrade pip and setuptools
pip install -U pip setuptools

# Install mpi4py
env MPICC=/gpfs/software/opt/openmpi/3.1.2-gcc_5.4.0-cuda_10.0.130/bin/mpicc pip install mpi4py

# Install six
pip install six

# Install hpc4ns
pip install git+https://gitlab.version.fz-juelich.de/hpc4ns/hpc4ns_utils.git

printf "%s\n\n" "Setup complete."
